%global commit c90711372c0e9bb87a0a8ecf741f27b72946b28b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           badvpn
Version:        1.999.129
Release:        1%{?dist}
Summary:        Peer-to-peer VPN solution

License:        BSD
URL:            https://code.google.com/p/badvpn/
Source0:        https://github.com/ambrop72/badvpn/archive/%{commit}/badvpn-%{commit}.tar.gz

BuildRequires:  cmake
BuildRequires:  nspr-devel
BuildRequires:  nss-devel
BuildRequires:  openssl-devel

%description
BadVPN is a layer 2 peer-to-peer VPN solution.


%prep
%setup -qn %{name}-%{commit}

# Work around https://bugzilla.redhat.com/show_bug.cgi?id=304121
sed -i -e '/^OUT_DIR=/ s/generated\//generated/' generate_files
sed -i -e 's/generated\/\//generated\//' generated/*


%build
# Use cmake macro but don't override BUILD_SHARED_LIBS as it breaks the build
%define mycmake %(echo '%{cmake}' | sed 's/-DBUILD_SHARED_LIBS:BOOL=ON//')
%mycmake .

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%license COPYING
%{_bindir}/badvpn-client
%{_bindir}/badvpn-flooder
%{_bindir}/badvpn-ncd
%{_bindir}/badvpn-ncd-request
%{_bindir}/badvpn-server
%{_bindir}/badvpn-tun2socks
%{_bindir}/badvpn-tunctl
%{_bindir}/badvpn-udpgw
%{_mandir}/man7/badvpn.7*
%{_mandir}/man8/badvpn-client.8*
%{_mandir}/man8/badvpn-server.8*
%{_mandir}/man8/badvpn-tun2socks.8*


%changelog
* Sat Oct 25 2014 Pete Walter <pwalter@fedoraproject.com> - 1.999.129-1
- First Fedora build
